CORE13 - Veronica BASIC not working

06/13/2017 02:14 AM - Stephen

Status: Closed Start date: 06/13/2017

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

I've tried various RAM and NTSC/PAL settings.  When I run "detector.com" from the attached ATR, the screen flickers and I get

"Veronica Not Detected".  My Veronica is a black cased Revision 2.0.

History

#1 - 06/13/2017 02:21 AM - Stephen

Also, VREGREAD fails both tests, and VRAMTEST fails all 4 tests.

#2 - 06/13/2017 02:23 AM - Stephen

VREGREAD passes both tests, VRAMTEST passes the 4 tests.

#3 - 06/13/2017 02:25 AM - Stephen

Guys - I am very sorry.  I was not loading the BIOS first.  Veronica is working properly.  I tried to delete this, but must not have appropriate

permissions.

#4 - 06/13/2017 02:40 AM - Stephen

- Subject changed from CORE13 - Veronica not detected to CORE13 - Veronica BASIC not working

OK - I got the rotator demo working.  However, I cannot get Veronica BASIC to load.  It either hangs or says it cannot communicate with the cart. 

Pressing F10 causes my monitor to see the input switch, but I get a black screen, and have to do a full power cycle.  F12 does take me to the settings

screen.

#5 - 06/13/2017 08:51 AM - foft

So all tests work but veronica basic does not?

I know a bit about veronica, I built a veronica clone for the ultimate cart but never debugged it.

#6 - 06/13/2017 05:31 PM - Stephen

- File vbasic.xex added

foft wrote:

So all tests work but veronica basic does not?

I know a bit about veronica, I built a veronica clone for the ultimate cart but never debugged it.

 Yes, everything on the ATR I attached works.  I will attach the version of Veronica BASIC I was trying to use.  This evening I will arrange my desk

better so that I can have a real Atari plugged in next to the Eclaire to make side by side testing easier.

#7 - 04/15/2018 08:16 PM - foft

Veronica basic works on the 'Veronica' Ultimate Cart fpga core. So very odd it doesn't work on the original. You definitely has a v2 veronica? I don't

think it works on v1.

#8 - 08/01/2018 10:05 PM - foft

- Status changed from New to Closed

Closed. Working fine with my Veronica clone and no feedback received from tester.
Files

Veronica.atr 90 KB 06/13/2017 Stephen

vbasic.xex 17.4 KB 06/13/2017 Stephen
